package com.ycwl.basic.model.pc.scenic.resp;

import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.ycwl.basic.facebody.enums.FaceBodyAdapterType;
import com.ycwl.basic.pay.enums.PayAdapterType;
import com.ycwl.basic.storage.enums.StorageType;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：longbinbin
 * @Date：2024/12/2 10:53
 * 景区配置
 */
@Data
public class ScenicConfigResp {

    /**
     * 预约流程，1-预约，2-在线，3-全部
     */
    private Integer bookRoutine;
    private Integer forceFinishTime;
    private Integer tourTime;
    /**
     * 样本保存时间
     */
    private Integer sampleStoreDay;
    private Integer faceStoreDay;
    /**
     * 视频保存时间
     */
    private Integer videoStoreDay;
    private Integer allFree;
    private Integer disableSourceVideo;
    private Integer disableSourceImage;
    private Integer antiScreenRecordType;
    private Integer videoSourceStoreDay;
    private Integer imageSourceStoreDay;
    private Integer userSourceExpireDay;
    private BigDecimal brokerDirectRate;

    private String imageSourcePackHint = "";
    private String videoSourcePackHint = "";
}
